> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all products

> Returns a list of all the products



## OpenAPI

````yaml get /consumers/{consumer_id}/invoicing/products
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/invoicing/products:
    get:
      tags:
        - Invoicing
        - Products
      summary: Retrieve all products
      description: Returns a list of all the products
      operationId: invoicing_get_products
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_ProductItemOut_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - invoicing
            - invoicing.read
            - invoicing.products
            - invoicing.products.read
components:
  schemas:
    ChiftPage_ProductItemOut_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProductItemOut'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[ProductItemOut]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ProductItemOut:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        name:
          type: string
          title: Name
          description: Name
        unit_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Unit Price
          description: Unit price
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Id
          description: Technical id of the tax in Chift
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
          description: Reference/code
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
          description: Unit of measure matching target software name
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
          description: Category matching target software name
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Currency matching target software name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description
        cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Cost
          description: Cost of the product
          default: 0
        available_quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Available Quantity
          description: >-
            Available quanity of the product in stock. Will only be used for
            products that have an inventory (services will always be 0)
          default: 0
      type: object
      required:
        - id
        - source_ref
        - name
      title: ProductItemOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````